@echo off
cls

set README=READ.ME
set SRCDIR=update
set TRGDIR=%1
set SRCPAT=%2
set DBG=echo
set DBG=
set NTCOMP=comp.nt
set W3COMP=comp.w3

rem ************************* Platform test
set CSDNUM=FP0997
set CSDNAM=TME10 Software Distribution for WindowsNT/Windows95
set CSDCMP=%NTCOMP%
if not exist %SRCDIR%\%W3COMP% goto endpt
set CSDNUM=FP0997
set CSDNAM=TME10 Software Distribution for Windows31
set CSDCMP=%W3COMP%
:endpt

echo .
echo *********************************************************
echo ** CSD  : %CSDNUM%
echo ** NAME : %CSDNAM%
echo ** ------------------------------------------------------
echo **
echo ** This batch script will create a set of change file
echo ** profiles under your hard-disk.
echo ** You can use these profiles to build %CSDNUM% change
echo ** files from a preparation site. During CF creation
echo ** your CD-ROM will be accessed again.
echo **
echo ** Once needed change files have been built, install them
echo ** on workstation having %CSDNAM%
echo ** already installed.
echo **
echo ** Refer to the %README% file, for more info.
echo **
echo *********************************************************
echo .
echo .
echo Press any key to continue or CTRL+C to interrupt ...
pause
echo .

:checksrc
if not exist %SRCDIR%\%CSDCMP% goto err_no_src

:checkparm1
if xx%TRGDIR% == xx goto err_no_parm1

:checktrg
if not exist %TRGDIR% md %TRGDIR%
if not exist %TRGDIR% goto err_no_trg

:checkparm2
if xx%SRCPAT% == xx goto err_no_parm2

:checkpat
if not exist %SRCPAT%\%SRCDIR%\%CSDCMP% goto err_no_pat
set SP=%SRCPAT%\%SRCDIR%


rem ************************* Do the work
:create_profiles
echo - Creating profiles
echo .

if exist %SRCDIR%\%W3COMP% goto w31c

:nts
set CFP=%TRGDIR%\WNTS.PRO
echo ** NT Server profile
rem
echo GLOBAL NAME:                   IBM.SD4WNT.SERVER.REF.3132.%CSDNUM% >%CFP%
echo #GLOBAL NAME:                   IBM.SD4WNT.SERVER.REF.3132.%CSDNUM%.XR21382 >>%CFP%
echo DESCRIPTION:                   FIXPACK %CSDNUM% for SD - NTServer >>%CFP%
echo CHANGE FILE TYPE:              GEN                                >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wnts\*.exe                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.exe               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wnts\*.dll                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.dll               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wnts\*.cat                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)*.cat                   >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\dkamnt\*.*                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.*                 >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo # ----------- GUI code - uncomment if needed                      >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\guints\*.*                   >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%
echo # ----------- Documentation files - uncomment if needed           >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\doc\*.*                      >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%

:ntc
set CFP=%TRGDIR%\WNTC.PRO
echo ** NT Client profile
rem
echo GLOBAL NAME:                   IBM.SD4WNT.CLIENT.REF.3132.%CSDNUM% >%CFP%
echo #GLOBAL NAME:                   IBM.SD4WNT.CLIENT.REF.3132.%CSDNUM%.XR21382 >>%CFP%
echo DESCRIPTION:                   FIXPACK %CSDNUM% for SD - NTClient >>%CFP%
echo CHANGE FILE TYPE:              GEN                                >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntc\*.exe                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.exe               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntc\*.dll                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.dll               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntc\*.cat                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)*.cat                   >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\dkamnt\*.*                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.*                 >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo # ----------- GUI code - uncomment if needed                      >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\guintc\*.*                   >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%
echo # ----------- Documentation files - uncomment if needed           >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\doc\*.*                      >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%

:ntm
set CFP=%TRGDIR%\WNTM.PRO
echo ** NT Mobile profile
rem
echo GLOBAL NAME:                   IBM.SD4WNT.MOBILE.REF.3132.%CSDNUM% >%CFP%
echo #GLOBAL NAME:                   IBM.SD4WNT.MOBILE.REF.3132.%CSDNUM%.XR21382 >>%CFP%
echo DESCRIPTION:                   FIXPACK %CSDNUM% for SD - NTMobile     >>%CFP%
echo CHANGE FILE TYPE:              GEN                                >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntm\*.exe                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.exe               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntm\*.dll                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.dll               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntm\*.cat                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)*.cat                   >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\dkamnt\*.*                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.*                 >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                                >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo # ----------- GUI code - uncomment if needed                      >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\guintm\*.*                   >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%
echo # ----------- Documentation files - uncomment if needed           >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\doc\*.*                      >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%

:w95c
set CFP=%TRGDIR%\W95C.PRO
echo ** W95 Client profile
rem
echo GLOBAL NAME:                   IBM.SD4W95.CLIENT.REF.3132.%CSDNUM% >%CFP%
echo #GLOBAL NAME:                   IBM.SD4W95.CLIENT.REF.3132.%CSDNUM%.XR21382 >>%CFP%
echo DESCRIPTION:                   FIXPACK %CSDNUM% for SD - W95 client   >>%CFP%
echo CHANGE FILE TYPE:              GEN                                >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntc\*.exe                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)bin\*.exe               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntc\*.dll                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)bin\*.dll               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntc\*.cat                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)*.cat                   >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\dkam95\*.*                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)bin\*.*                 >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo # ----------- GUI code - uncomment if needed                      >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\guintc95\*.*                 >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)bin\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%
echo # ----------- Documentation files - uncomment if needed           >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\doc\*.*                      >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%

:w95m
set CFP=%TRGDIR%\W95M.PRO
echo ** W95 Mobile profile
rem
echo GLOBAL NAME:                   IBM.SD4W95.MOBILE.REF.3132.%CSDNUM% >%CFP%
echo #GLOBAL NAME:                   IBM.SD4W95.MOBILE.REF.3132.%CSDNUM%.XR21382 >>%CFP%
echo DESCRIPTION:                   FIXPACK %CSDNUM% for SD - W95 mobile   >>%CFP%
echo CHANGE FILE TYPE:              GEN                                >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntm\*.exe                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)bin\*.exe               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntm\*.dll                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)bin\*.dll               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntm\*.cat                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)*.cat                   >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\dkam95\*.*                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)bin\*.*                 >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo # ----------- GUI code - uncomment if needed                      >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\guintm95\*.*                 >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)bin\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%
echo # ----------- Documentation files - uncomment if needed           >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\doc\*.*                      >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%


goto create_profiles_end


:w31c
set CFP=%TRGDIR%\W31C.PRO
echo ** W31 Client profile
rem
echo GLOBAL NAME:                   IBM.SD4W31.CLIENT.REF.3132.%CSDNUM% >%CFP%
echo #GLOBAL NAME:                   IBM.SD4W31.CLIENT.REF.3132.%CSDNUM%.XR21382 >>%CFP%
echo DESCRIPTION:                   FIXPACK %CSDNUM% for SD - W31 client   >>%CFP%
echo CHANGE FILE TYPE:              GEN                                >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\w31c\*.exe                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)bin\*.exe               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\w31c\*.dll                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)bin\*.dll               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\w31c\*.cat                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)*.cat                   >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\dkam31\*.*                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)bin\*.*                 >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo # ----------- GUI code - uncomment if needed                      >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\gui31\*.*                    >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)bin\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%
echo # ----------- Documentation files - uncomment if needed           >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\doc\*.*                      >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%


:w31m
set CFP=%TRGDIR%\W31M.PRO
echo ** W31 Mobile profile
rem
echo GLOBAL NAME:                   IBM.SD4W31.MOBILE.REF.3132.%CSDNUM% >%CFP%
echo DESCRIPTION:                   FIXPACK %CSDNUM% for SD - W31 mobile   >>%CFP%
echo CHANGE FILE TYPE:              GEN                                >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\w31m\*.exe                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)bin\*.exe               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\w31m\*.dll                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)bin\*.dll               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\w31m\*.cat                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)*.cat                   >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\dkam31\*.*                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)bin\*.*                 >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo # ----------- GUI code - uncomment if needed                      >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\gui31m\*.*                   >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)bin\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%
echo # ----------- Documentation files - uncomment if needed           >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\doc\*.*                      >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%




:create_profiles_end
echo .
echo Change file profiles created successfully.


goto fine
rem -----------------------------------
:err_no_src
echo ** Error: unable to locate files on fixpack directory
echo ** Change the working directory
goto fine_err
rem -----------------------------------
:err_no_parm1
echo ** Error: no target directory was specified !
goto fine_err
rem -----------------------------------
:err_no_trg
echo ** Error: Unable find/create target directory %TRGDIR% !
goto fine_err
rem -----------------------------------
:err_no_parm2
echo ** Error: no source directory was specified !
goto fine_err
rem -----------------------------------
:err_no_pat
echo ** Error: specified source path %SRCPAT% is invalid !
goto fine_err
rem -----------------------------------


:fine_err
echo ** Refer to the %README% file
:fine
